# BBRETEST-NET.SH

Section: User Commands (1)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

bbretest-net.sh - Xymon network re-test tool

## SYNOPSIS

bbretest-net.sh

## DESCRIPTION

bbretest-net.sh is an extension script for Xymon that runs on the network test server. It picks up the failing network tests executed by the bbtest-net(1) program, and repeats these tests with a faster test cycle than the normal bbtest-net schedule. This means that when the server recovers and the network service becomes available again, this is detected quicker resulting in less reported downtime.

Only tests whose first failure occurred within 30 minutes are included in the tests that are run by bbretest-net.sh. The 30 minute limit is there to avoid hosts that are down for longer periods of time to bog down bbretest-net.sh. You can change this limit with the "--frequenttestlimit=SECONDS" when you run bbtest-net.

## INSTALLATION

This script runs by default from your hobbitlaunch.cfg(5) file.

## FILES

$BBTMP/TESTNAME.LOCATION.status
  Temporary status file managed by bbtest-net with status of tests that have currently failed.
$BBTMP/frequenttests.LOCATION
  Temporary file managed by bbtest-net with the hostnames that bbretest-net.sh should test.

## SEE ALSO

bbtest-net(1), xymon(7), hobbitlaunch.cfg(5)

## Index

NAME
SYNOPSIS
DESCRIPTION
INSTALLATION
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:29 GMT, December 15, 2008